Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.algorithms.labeling
Class Labeler

    java.lang.Object
      infomat.algorithms.labeling.Labeler

All Implemented Interfaces:
  HasProperties

Direct Known Subclasses:
  CentroidBoostLabeler, CentroidLabeler, CentroidRankingBoostLabeler, CombinedCentroidLabeler, RelativeLabeler, WeightRankingBoostLabeler

    public abstract class Labeler

extends java.lang.Object
implements HasProperties

Constructs ILabels for IObjectGroups.

Field Summary
`(package private) Properties` | `properties`

Constructor Summary
`Labeler()`

Method Summary
`protected java.util.Vector<java.util.Map.Entry<IObject,java.lang.Float>>` | `getSortedGroupRepresentation(IObjectGroup group, SparseISimilarity similarity)`
`abstract java.util.HashMap<IObjectGroup,ILabel>` | `labelGrouping(IObjectGrouping ioging, SparseISimilarity similarity)`
`private static void` | `printLabel(java.io.PrintWriter pw, ILabel label)`
`static void` | `printLabeling(IObjectGrouping ioging, java.util.HashMap<IObjectGroup,ILabel> groupLabelMap)`
`static void` | `printLabeling(java.io.PrintWriter pw, IObjectGrouping ioging, java.util.HashMap<IObjectGroup,ILabel> groupLabelMap, java.lang.String info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface mro.util.properties.HasProperties
`getDefaultProperties, getProperties, getPropertyValue, setProperties, setProperty`

Field Detail

### properties

    Properties properties

Constructor Detail

### Labeler

    public Labeler()

Method Detail

### labelGrouping

    public abstract java.util.HashMap<IObjectGroup,ILabel> labelGrouping(IObjectGrouping ioging,
                                                                         SparseISimilarity similarity)

### getSortedGroupRepresentation

    protected java.util.Vector<java.util.Map.Entry<IObject,java.lang.Float>> getSortedGroupRepresentation(IObjectGroup group,
                                                                                                          SparseISimilarity similarity)

### printLabeling

    public static void printLabeling(IObjectGrouping ioging,
                                     java.util.HashMap<IObjectGroup,ILabel> groupLabelMap)

### printLabel

    private static void printLabel(java.io.PrintWriter pw,
                                   ILabel label)

### printLabeling

    public static void printLabeling(java.io.PrintWriter pw,
                                     IObjectGrouping ioging,
                                     java.util.HashMap<IObjectGroup,ILabel> groupLabelMap,
                                     java.lang.String info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD